
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>java实现在复制文件时使用进度条(java实现进度条)_java / iVAN</title>

    <meta name="description" content="java实现在复制文件时使用进度条(java实现进度条)_java 思路分析: 因为既要有操作面板又要有进度条,所以肯定要出现两个继承JFrame类的窗体.先看被调用的进度条窗体,它不需要手动操作,所以类的内部实现一个方法就可以了.因为设计文件操作,所以要捕获异常.首先根据要复制的文件创建File对象,以及根据复制后文件的保存地址创建File对象,然后创建FileOutputStream对象,再创建FileInputStream对象,之后是ProgressMonitorInputStream对象,然后读取文件,如果总耗时超过2秒,将会自动弹出一个进度监视窗口.接">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">java实现在复制文件时使用进度条(java实现进度条)_java</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>思路分析：</p>
<p>因为既要有操作面板又要有进度条，所以肯定要出现两个继承JFrame类的窗体。<br />先看被调用的进度条窗体，它不需要手动操作，所以类的内部实现一个方法就可以了。因为设计文件操作，所以要捕获异常。首先根据要复制的文件创建File对象，以及根据复制后文件的保存地址创建File对象，然后创建FileOutputStream对象，再创建FileInputStream对象，之后是ProgressMonitorInputStream对象，然后读取文件，如果总耗时超过2秒，将会自动弹出一个进度监视窗口。接下来定义byte数组，再使用while循环读取文件，使用FileOutputStream类的write()方法通过流写数据，再使用FileOutputStream类的close()方法关闭输出流，最后使用ProgressMonitorInputStream类的close()方法关闭输入流。可见该方法需要三个参数：弹出它的父窗口、要复制的文件地址以及要复制到的文件夹。<br />代码如下：</p>
<p>ProgressMonitorTest.java:</p>
<p><u>复制代码</u> 代码如下:</p>
<p>package cn.edu.xidian.crytoll;<br />import java.io.FileInputStream;<br />import java.io.*;<br />import javax.swing.JFrame;<br />import javax.swing.ProgressMonitorInputStream;<br />public class ProgressMonitorTest {</p>
<p>    public void useProgressMonitor(JFrame frame, String copyPath, String newPath) {<br />        try {<br />            File file = new File(copyPath); // 根据要复制的文件创建File对象<br />            File newFile = new File(newPath); // 根据复制后文件的保存地址创建File对象<br />            FileOutputStream fop = new FileOutputStream(newFile); // 创建FileOutputStream对象<br />            InputStream in = new FileInputStream(file);<br />            // 读取文件，如果总耗时超过2秒，将会自动弹出一个进度监视窗口。<br />            ProgressMonitorInputStream pm = new ProgressMonitorInputStream(<br />                    frame, "文件读取中，请稍后...", in);<br />            int c = 0;<br />            byte[] bytes = new byte[1024]; // 定义byte数组<br />            while ((c = pm.read(bytes)) != -1) { // 循环读取文件<br />                fop.write(bytes, 0, c); // 通过流写数据<br />            }<br />            fop.close(); // 关闭输出流<br />            pm.close(); // 关闭输入流<br />        } catch (Exception ex) {<br />            ex.printStackTrace();<br />        }<br />    }<br />}</p>
<p>3. 再看主窗体。JLabel、JTextField神马的就不用说了，选择文件和选择文件夹这两个按钮也是老生常谈了，最重要的是“开始复制”按钮，将由它来负责弹出这个进度条，这就需要开辟一个新的线程，所以主窗体不仅要继承JFrame类，还要实现Runnable接口。他大爷的。</p>
<p>4. 在开始复制按钮的具体方法里，首先创建一个Thread对象作为新的线程，然后调用该对象的start()方法，重载执行run()方法，在该方法中创建一个进度条对象，使用JTextField类的getText()方法获取要复制的文件地址和要复制到的路径，然后调用进度条类里的方法。</p>
<p>代码如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>package cn.edu.xidian.crytoll;<br />import java.awt.BorderLayout;<br />import java.awt.Desktop;<br />import java.awt.Dimension;<br />import java.awt.EventQueue;<br />import java.awt.GridBagConstraints;<br />import java.awt.GridBagLayout;<br />import java.awt.Insets;<br />import java.awt.event.ActionEvent;<br />import java.awt.event.ActionListener;<br />import java.io.File;<br />import java.io.FileNotFoundException;<br />import java.io.FileReader;<br />import java.io.FileWriter;<br />import java.io.IOException;</p>
<p>import javax.swing.JButton;<br />import javax.swing.JFileChooser;<br />import javax.swing.JFrame;<br />import javax.swing.JLabel;<br />import javax.swing.JOptionPane;<br />import javax.swing.JPanel;<br />import javax.swing.JTextField;<br />import javax.swing.border.EmptyBorder;<br />import javax.swing.filechooser.FileNameExtensionFilter;</p>
<p>public class UserMonitorFrame extends JFrame implements Runnable{</p>
<p>    /**<br />     * <br />     */<br />    private static final long serialVersionUID = 8674569541853793419L;<br />    private JPanel contentPane;<br />    private JTextField fileField;<br />    private JTextField searchTextField;<br />    private JTextField replaceTextField;<br />    private File file;<br />    private JTextField textField;<br />    private JTextField textField_1;</p>
<p>    /**<br />     * Launch the application.<br />     */<br />    public static void main(String[] args) {<br />        EventQueue.invokeLater(new Runnable() {<br />            public void run() {<br />                try {<br />                    UserMonitorFrame frame = new UserMonitorFrame();<br />                    frame.setVisible(true);<br />                } catch (Exception e) {<br />                    e.printStackTrace();<br />                }<br />            }<br />        });<br />    }</p>
<p>    /**<br />     * Create the frame.<br />     */<br />    public UserMonitorFrame() {<br />        setResizable(false);<br />        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);<br />        setBounds(100, 100, 501, 184);<br />        setTitle("在读取文件时使用进度条");<br />        getContentPane().setLayout(null);</p>
<p>        JLabel label = new JLabel("\u6587\u4EF6\u5730\u5740\uFF1A");<br />        label.setBounds(10, 10, 70, 15);<br />        getContentPane().add(label);</p>
<p>        textField = new JTextField();<br />        textField.setBounds(90, 7, 300, 21);<br />        getContentPane().add(textField);<br />        textField.setColumns(10);</p>
<p>        JButton button = new JButton("\u9009\u62E9\u6587\u4EF6");<br />        button.addActionListener(new ActionListener() {<br />            public void actionPerformed(ActionEvent e) {<br />                do_button_actionPerformed(e);<br />            }<br />        });<br />        button.setBounds(400, 6, 93, 23);<br />        getContentPane().add(button);</p>
<p>        JLabel label_1 = new JLabel("\u590D\u5236\u5730\u5740\uFF1A");<br />        label_1.setBounds(10, 40, 70, 15);<br />        getContentPane().add(label_1);</p>
<p>        textField_1 = new JTextField();<br />        textField_1.setBounds(90, 38, 300, 21);<br />        getContentPane().add(textField_1);<br />        textField_1.setColumns(10);</p>
<p>        JButton button_1 = new JButton("\u9009\u62E9\u5730\u5740");<br />        button_1.addActionListener(new ActionListener() {<br />            public void actionPerformed(ActionEvent e) {<br />                do_button_1_actionPerformed(e);<br />            }<br />        });<br />        button_1.setBounds(400, 39, 93, 23);<br />        getContentPane().add(button_1);</p>
<p>        JButton button_2 = new JButton("\u5F00\u59CB\u590D\u5236");<br />        button_2.addActionListener(new ActionListener() {<br />            public void actionPerformed(ActionEvent e) {<br />                do_copyButton_actionPerformed(e);<br />            }<br />        });<br />        button_2.setBounds(182, 69, 93, 23);<br />        getContentPane().add(button_2);<br />    }<br />    protected void do_button_actionPerformed(ActionEvent e){<br />        JFileChooser chooser=new JFileChooser();<br />        chooser.setFileSelectionMode(JFileChooser.FILES_ONLY);<br />        // 显示文件打开对话框<br />        int option = chooser.showOpenDialog(this);<br />        // 确定用户按下打开按钮，而非取消按钮<br />        if (option != JFileChooser.APPROVE_OPTION)<br />            return;<br />        // 获取用户选择的文件对象<br />        file = chooser.getSelectedFile();<br />        // 显示文件信息到文本框<br />        textField.setText(file.toString());<br />    }<br />    protected void do_button_1_actionPerformed(ActionEvent e){<br />        JFileChooser chooser=new JFileChooser();<br />        chooser.setFileSelectionMode(JFileChooser.DIRECTORIES_ONLY);<br />        int option=chooser.showOpenDialog(this);<br />        if(option!=JFileChooser.APPROVE_OPTION)<br />            return;<br />        file=chooser.getSelectedFile();<br />        textField_1.setText(file.toString());<br />    }<br />  //确定复制按钮单击事件<br />    protected void do_copyButton_actionPerformed(ActionEvent arg0) {<br />       Thread thread = new Thread(this);<br />       thread.start();<br />    }<br />   //应用多线程技术实现读取操作<br />    @Override<br />    public void run() {<br />        ProgressMonitorTest test = new ProgressMonitorTest();<br />        String path = textField.getText();<br />        String save = textField_1.getText();<br />        test.useProgressMonitor(this,path,save+path.substring(path.lastIndexOf("."),path.length()));</p>
<p>    }<br />}</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-14 14:07:43</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e8%bf%9b%e5%ba%a6%e6%9d%a1/" title="进度条">进度条</a>, <a href="https://www.iamivan.net/tag/%e5%a4%8d%e5%88%b6%e6%96%87%e4%bb%b6/" title="复制文件">复制文件</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>java实现在复制文件时使用进度条(java实现进度条)_java的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MywDnPz.html" rel="bookmark">U盘复制文件时出现磁盘空间已满的解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  今天小编遇到一件事情很让人头疼,早上借了个空间足够的U盘去拷贝文件,但是插到电脑里的时候,却显示U盘空间不足,这让人很是疑惑,明明是空间足够的U盘,为什么一插到电脑中就会显示空间不足或者磁盘已满的现象呢?这让小编怀疑到底是磁盘坏了呢还是电脑的原因呢?不仅影响了工作效率,也出现了信任危机.所以小编把自己的经验分享给大家,希望大家不要出现这样的问题. 原因分析: 1.u盘文件系统类型格式所引起的问题,fat32单一文件不得大于4g,而应改为ntfs或者exFAT类型格式. 2.磁盘根目录文件数超			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boKKxXb.html" rel="bookmark">java 解析xml文件-在JAVA中解析XML文件时遇上难题，向各位大虾求助。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在JAVA中解析XML文件时遇上难题,向各位大虾求助. 在服务器进程中编写登录时出现以下错误提示: Exception in thread &quot;Thread-0&quot; java.lang.ClassCastException: com.sun.org.apache.xerces.internal.dom.DeferredDocumentImpl cannot be cast to javax.swing.text.Document at server.ServerThread.Lo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNvGdJM.html" rel="bookmark">使用Java如何在创建文件时，选择要创建文件的编码（注意：不是文件中内容的编码）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 使用Java如何在创建文件时,选择要创建文件的编码(注意:不是文件中内容的编码)有没有除JavacoreAPI外,其他的实现?谢谢 解决方案 解决方案二:创建空文件是没有编码的,写入的时候指定编码其它实现不知道,JAVA的类可以用InputStreamReader(InputStreamin,Charsetcs)创建使用给定字符集的InputStreamReader.OutputStreamWriter(OutputStreamout,Charsetcs)创建使用给定字符集的Outpu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPOem8M.html" rel="bookmark">菜单可用性控制，如当没有选择复制文件时，粘贴要不可用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在c#中菜单可用性控制,如当没有选择复制文件时,粘贴要不可用,求指点 解决方案 解决方案二:this.menuitemxxx.Enabled==!(listView.SelectItems.Count==0);			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM1GD9z.html" rel="bookmark">如何用java程序把本地文件拷贝到hdfs上并显示进度</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				把程序打成jar包放到Linux上 转到目录下执行命令 hadoop jar mapreducer.jar /home/clq/export/java/count.jar  hdfs://ubuntu:9000/out06/count/ 上面一个是本地文件,一个是上传hdfs位置 成功后出现:打印出来,你所要打印的字符. package com.clq.hdfs; import java.io.BufferedInputStream; import java.io.FileInputStream			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnRrjkp.html" rel="bookmark">Java中实现复制文件到文件，复制文件到文件夹，复制文件夹到文件，删除文件，删除文件夹，移动文件，移动文件夹的工具类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				package cn.edu.hactcm.cfcms.utils; import java.io.File; import java.io.FileInputStream; import java.io.FileOutputStream; import java.util.ArrayList; import java.util.Date; import java.util.List; import javax.swing.JOptionPane; /**  * CFMS :Computer f			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myw2elz.html" rel="bookmark">电脑复制文件时如何去掉默认命名副本两字</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  1.按Win+R键,打开运行,输入regedit,回车进入注册表编辑器; 2.展开至HKEY_CURRENT_USERSOFTWAREMicrosoftWindowsCurrentVersionExplorerNamingTemplates&quot;,如没有NamingTemplates项,则右击Explorer,选择新建一个名为&quot;NamingTemplates&quot;的项; 3.点击NamingTemplates项,在右侧新建一个名为&quot;CopyNameTemplates&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjmZXmz.html" rel="bookmark">U盘复制文件时导致电脑重启怎么办</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  你有没有遇到过用U盘复制文件的时候电脑总是重启,但是U盘拔掉之后就不会了,用杀毒软件也没用,重做系统也没用,到底是哪里出了问题呢? 其实这样问题并不多见,不过首先要百分之百确认U盘里没有病毒或者木马,一个杀毒软件有时可能也检查不出来,多用几个杀毒软件试试,或者干脆一点将U盘格式化掉,格式化之后再看看是否重启. 如果还重启的话有可能是主板的USB控制器驱动存在问题,建议重新安装主板的USB2.0驱动.如果驱动更新之后也无济于事,建议试试使用别的U盘会不会出现同样的情况.如果是U盘损坏的话有可能			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MywOeZz.html" rel="bookmark">U盘复制文件时电脑会重启怎么办</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  用U盘复制文件的时候电脑总是重启,但是U盘拔掉之后就不会了,用杀毒软件也没用,重做系统也没用,到底是哪里出了问题呢? 其实这样问题并不多见,不过首先要百分之百确认U盘里没有病毒或者木马,一个杀毒软件有时可能也检查不出来,多用几个杀毒软件试试,或者干脆一点将U盘格式化掉,格式化之后再看看是否重启. 如果还重启的话有可能是主板的USB控制器驱动存在问题,建议重新安装主板的USB2.0驱动.如果驱动更新之后也无济于事,建议试试使用别的U盘会不会出现同样的情况.如果是U盘损坏的话有可能会在复制文件的			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz468Mv.html" rel="bookmark" class="title">Windows 7游戏管理器</a>
					<div>
						  提起Win7的游戏管理器,可以将众多的游戏集成到一个窗口中且能完整地显示每个游戏的详细信息,因此非常方便我们从中选择自己喜欢的游戏来玩.但美中不足的是,Windows7游戏管理器只支持显示微软自己 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9Mxg2Ob.html" rel="bookmark" class="title">如何Word2013保存为低版本格式</a>
					<div>
						  Word2013保存为低版本格式步骤如下: 步骤1:首先,我们打开电脑上的Word2013软件,鼠标左键右击左上方任务栏,从弹出的菜单中选择自定义快速访问工具栏. 步骤2:弹出Word选项对话框, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPVvAb.html" rel="bookmark" class="title">PHP单元测试利器：PHPUNIT初探</a>
					<div>
						 你是否在程序开发的过程中遇到以下的情况:当你花了很长的时间开发一个应用后,你认为应该是大功告成了,可惜在调试的时候,老是不断的发现bug,而且最可怕的是,这些bug是重复出现的,你可能发现这些bug ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7Rm6M.html" rel="bookmark" class="title">观察者模式C&plus;&plus;</a>
					<div>
						VC++2008 调试通过 // codetest.cpp : Defines the entry point for the console application. // #include &qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgK4R6M.html" rel="bookmark" class="title">使用VC&period;net轻松实现按钮控件自绘</a>
					<div>
						在我的上一篇文章用VC.NET简单实现GIF动画中大家已经看到.net框架的易用性了,这一回我想说说.net 控件的自绘,同样比MFC的控件自绘要轻松许多,我们就拿最常用的Button控件下手吧. 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2y3NZz.html" rel="bookmark" class="title">LAN交换机和路由器设备的综合讲解</a>
					<div>
						交换机和路由器是组网中非常重要的设备,这里我们主要介绍网络互连和LAN交换机和路由器设备.CLIP方案仅支持TCP/IP协议,但现有网络上运行的网络层协议种类繁多,如IP.IPX. Appletalk ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jyx9b.html" rel="bookmark" class="title">PS溶图教程</a>
					<div>
						原图: 首先打开ps 然后创建一个画布:500x150 背景色随意. 创好画布. 用鼠标点击左上角的文件. 然后点置入图片.(ps:我去...截不了图.) 图片1 嗯,差不多就成这个样子.接下来我们置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oZ9Ab.html" rel="bookmark" class="title">批量删除Excel2007中的文本和控件对象</a>
					<div>
						  当工作表中有很多控件或者图片等对象时,一个一个去删除会非常的繁琐.案例阐述了如何一次性删除整个工作表中图形.控件和影音等对象,方便快捷.下面给大家介绍一下批量删除Excel2007中的文本和控件对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArvY2p.html" rel="bookmark" class="title">win7全屏游戏修改注册表</a>
					<div>
						  1. 使用win+R 组合键打开运行,输入&quot;regedit&quot; 注册表,确定并打开注册表; 2. 依次展开注册表到: HKEY_LOCAL_MACHINE→SYSTEM→Cont ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr384xp.html" rel="bookmark" class="title">怎么打开php文件&quest;</a>
					<div>
						  什么是PHP文件 什么是php文件,PHP是一种服务器端HTML-嵌入式脚本描述语言. 其最强大和最重要的特征是其数据库集成层,使用它完成一个含有数据库功能的网页是不可置信的简单.在HTML文件中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badrJwz.html" rel="bookmark" class="title">ASP常用日期格式化函数 FormatDate&lpar;&rpar;</a>
					<div>
						核心代码 &lt;% '功能:多功能日期格式化函数 '来源:http://jorkin.reallydo.com/article.asp?id=477 Function FormatDate(sDat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6VV7b.html" rel="bookmark" class="title">Inno Setup connection to the database and create</a>
					<div>
						原文 Inno Setup connection to the database and create Description: the first half of this program in I ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqVxQz.html" rel="bookmark" class="title">诺基亚三季度利润较去年跌六成</a>
					<div>
						诺基亚中国园 on July 26. 2011 in Beijing [财新网](记者 王姗姗)美国时间10月20日,诺基亚发布第三季度财报,实现运营利润2.52亿欧元,较去年同期的6.34亿欧元下降 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKlAOz.html" rel="bookmark" class="title">华东电脑前高管暴富探秘 4倍高溢价续写挪移史</a>
					<div>
						4月26日下午,上海北京东路668号科技京城东楼16楼会议室,华东电脑39名股东代表被&quot;临时召集&quot;起来,举手表决了刚刚通过国资委审批的&quot;华讯网络注入华东电脑的方案&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvn7v9M.html" rel="bookmark" class="title">通信协议：HTTP、TCP、UDP（转）</a>
					<div>
						原文出处: 碧雪轩的博客    TCP   HTTP   UDP: 都是通信协议,也就是通信时所遵守的规则,只有双方按照这个规则&quot;说话&quot;,对方才能理解或为之服务. TCP   HT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xnXvb.html" rel="bookmark" class="title">百钱买百鸡</a>
					<div>
						原文:百钱买百鸡 问题:&quot;鸡翁一值钱五,鸡母一值钱三,鸡雏三值钱一&quot;. 说明:一只公鸡值五钱,一只母鸡值三钱,三只小鸡值一钱,问如何用100钱买100只鸡? 设公鸡.母鸡.鸡雏分别 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRNNrp.html" rel="bookmark" class="title">比特币价格连续暴跌：全球最大交易市场停盘</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 过去几天,比特币的交易价格连续暴跌 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOo8Db.html" rel="bookmark" class="title">js实现简单的联动菜单效果&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了js实现简单的联动菜单效果.分享给大家供大家参考.具体如下: 这是一个最简单的js联动菜单代码,在DW里可以自动生成,不想在DW里生成的话,把此份代码拷贝下拉修改也可以.网页上常用到一种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0NQxp.html" rel="bookmark" class="title">nodejs加密Crypto的实例代码&lowbar;node&period;js</a>
					<div>
						加密技术通常分为两大类:&quot;对称式&quot;和&quot;非对称式&quot;. 对称式加密: 就是加密和解密使用同一个密钥,通常称之为&quot;Session Key &quot;这种加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWQd5z.html" rel="bookmark" class="title">adodb与adodb&lowbar;lite之比较&lowbar;php技巧</a>
					<div>
						adodb与adodb_lite之比较   作者:欣然随风   adodb出世后得到许多PHPer的肯定和支持,树大招风不知什么时候出了个adodb_lite,说是对adodb缩水版,并且宣称不影响原 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNv4wNM.html" rel="bookmark" class="title">sqlserver 2008 r2 SqlClrProvider报错解析</a>
					<div>
						环境: DB:SQLSERVER 2008 R2: WEB:windows server 2008 r2: 现象: 在WEB服务器端导出报表时,报错,如下:未能加载文件或程序集&quot;Micros ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5wJWz.html" rel="bookmark" class="title">关于get&sol;set的问题</a>
					<div>
						问题描述 usingSystem;usingSystem.Collections.Generic;usingSystem.ComponentModel;usingSystem.Drawing;usin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Ye3Yb.html" rel="bookmark" class="title">NS2网络模拟&lpar;6&rpar;-homework02&period;tcl</a>
					<div>
						1: #NS2_有线部分\homework02.tcl 2: 3: #Create a simulator object 4: set ns [new Simulator] 5: 6: #Define ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4Yd2Pb.html" rel="bookmark" class="title">调查｜73&percnt;的公司正使用存在漏洞的超期服役设备</a>
					<div>
						本文讲的是调查|73%的公司正使用存在漏洞的超期服役设备,一份新近的调查覆盖了北美350家机构的212000台思科设备.结果显示,73%的企业正在使用存在漏洞.超期服役的网络设备.该数字在上一年仅为6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOWod5z.html" rel="bookmark" class="title">模糊查询能对int类型的么？</a>
					<div>
						问题描述 同题,要是可以的话在CommandText中查询语句该怎么写呢,不用强制类型转换 解决方案 解决方案二:因为模糊是对文本进行的操作,所以需要转一下解决方案三:转换成string类型解决方案四 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmRZ97z.html" rel="bookmark" class="title">wps表格快速隔行插入空白行的教程</a>
					<div>
						1.我们把光标移到要插入空行的位置,如下所示 2.那么我们要在要插入第一个空白行的下一个单元格输入任意字符. 3.在此我们添加一个字符 只要是字符即可随便什么字符了,如下所示我输入A. 4.选择这两个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4W8Ab.html" rel="bookmark" class="title">python字符串拼接 &plus; if while for循环例子</a>
					<div>
						注释 单行注释 # 多行注释 ''' 三个单引号或者三个双引号 &quot;&quot;&quot; ''' 用三引号引住可以多行赋值 用户交互 input 字符串拼接 +  &quot;&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z434Wjp.html" rel="bookmark" class="title">真的猛士用葡萄酒杯演奏《塞尔达传说》名曲</a>
					<div>
						这位老兄叫做SpOntanius,他盛装不同水量的葡萄酒杯演奏了一曲&lt;塞尔达传说-姆吉拉的假面/Legend of Zelda 2 The Majora's Mask&gt;中的&lt;治愈之歌 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M19V6aM.html" rel="bookmark" class="title">C&num;&comma;WinForm中，如何调用WebService服务？？</a>
					<div>
						问题描述 C#下,如何调用已经有的WebService?有几种方法,哪种比较好?谢谢. 解决方案 解决方案二:先添加web引用,然后加载你的URL地址,new出你服务,在使用中,最好是动态添加URL这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZRaYYz.html" rel="bookmark" class="title">网交会广州流花馆老树新花别样红</a>
					<div>
						广州流花馆在历史上一直就是广交会的举办地,虽然从去年开始广交会正式全部移师广州的琶洲展馆,但其人气和历史地位依然不减.如今,随着中国首届网交会在流花馆的举办,这个有着特殊意义的展馆在新时代赋予了新的意 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
